var url = "_plugin_info.php?show="; // The server-side script
function handleHttpResponse() {
	if (http.readyState == 4) {
		var commandInfo 			= document.getElementById('commandInfo');
		commandInfo.style.display 	= "block";
		if(http.status==200) {
			var results=http.responseText;
			commandInfo.innerHTML = results;
		} else commandInfo.innerHTML = "Permission denied...(received HTTP status code " + http.status + ")";
	}
}

function requestCommandinfo(param) {
	if (param && param.length>=3){
		http.open("GET", url + escape(param), true);
		http.onreadystatechange = handleHttpResponse;
		http.send(null);
	} else {
		alert("Parameter for show command info missing...");
	}
}

function editCheckCommand(f)
{
	var errorMsg 	= 'Unable to determine ID of selected Check Command';
	var cmdInfo 	= findCommandParam(f);
	var error		= false;
	if (cmdInfo==""){
		return false;
	}
	if (cmdInfo.search('&')>0){
		var aCmd 	= cmdInfo.split(/&/);
		if (aCmd.length) {
			var aCmdID 	= aCmd[1].split(/=/);
			var cmdID 	= aCmdID[1];
		} else {
			error = true;
		}
	} else {
		error = true;
	}
	if (!cmdID){
		error = true;
	}

	if (error){
		alert(errorMsg);
		return false;
	}

	if (!confirm('Are you sure that you wish to leave this form?\nAll unsaved changes will be lost...')){
		return false;
	} else {
		self.location.search = "?obj_type=command&obj_id=" + cmdID;
	}

}

function findCommandParam(f, obj_type, cmdID) {
	obj_type 		= (obj_type==null) ? false : obj_type; // command
	cmdID			= (cmdID==null) ? false: cmdID;
	var showCmdLine = true;
	var fieldToFind = '\\[check_command\\]';
	if (obj_type=='command') {
			fieldToFind = '\\[command_name\\]';
			showCmdLine = false; // no need to show command_line if we are looking at it...
	}
	var cmdName		= false;
	for(i=0; i<f.elements.length; i++){
		if (f.elements[i].name) {
			if (obj_type=='command'){
				if (f.elements[i].name.search(fieldToFind)>0 && f.elements[i].type=='text'){
					cmdName = f.elements[i].value;
				}
			} else {
				if (f.elements[i].name.search(fieldToFind)>0 && f.elements[i].type=='select-one'){
					cmdName = f.elements[i].options[f.elements[i].selectedIndex].text;
					cmdID 	= f.elements[i].value;
				}
			}
		}
	}
	if (cmdID && cmdName){
		return cmdName + "&cmdID=" + cmdID + "&showCmdLine=" + showCmdLine;
	} else {
		return cmdName;
	}

}

function toggle_command_info(f, obj_type, cmdID, state, clone)
{
	state = (state==null) ? true : state;
	clone = (clone==null) ? false : clone;
	syntax_button = document.getElementById('syntax_button');
	if (state){
		if (clone == false)
			requestCommandinfo(findCommandParam(f, obj_type, cmdID));
		else
			requestCommandinfo(clone + "&cmdID="+cmdID);
		syntax_button.setAttribute('title', "Click to hide syntax help");
		syntax_button.setAttribute('value', "Hide syntax help");
		syntax_button.setAttribute('class', "button hide-syntax-help20");
		syntax_button.onclick = function(){toggle_command_info(this.form, obj_type , cmdID, false, clone);}
	} else {
		syntax_button.setAttribute('title', "Show syntax help for selected command");
		syntax_button.setAttribute('value', "Syntax help");
		document.getElementById('commandInfo').style.display = "none";
		syntax_button.setAttribute('class', "button syntax-help20");
		syntax_button.onclick = function(){toggle_command_info(this.form, obj_type, cmdID, true, clone);}
	}
}

function getHTTPObject() {
	var xmlhttp;

	if(window.XMLHttpRequest){
		xmlhttp = new XMLHttpRequest();
	} else
		if (window.ActiveXObject){
		    xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
		if (!xmlhttp){
			xmlhttp=new ActiveXObject("Msxml2.XMLHTTP");
		}
	}
	return xmlhttp;
}
var http = getHTTPObject(); // We create the HTTP Object
